=== packaging/debian/control ===
Source: rgbmatrix5x5
Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/rgbmatrix5x5-python
Section: python
Priority: extra
Build-Depends: debhelper (>= 9.0.0), dh-python, python-all (>= 2.7), python-setuptools, python3-all (>= 3.4), python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-rgbmatrix5x5
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-smbus
Suggests: i2c-tools, python-psutil
Description: Python library for the Pimoroni 5x5 RGB LED Matrix.
 5x5 RGB LED Matrix has 25 RGB LEDs in a square,
 it's ideal for showing notifications, patterns, or anything else!
 .
 This is the Python 2 version of the package.

Package: python3-rgbmatrix5x5
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-smbus
Suggests: i2c-tools, python3-psutil
Description: Python library for the Pimoroni 5x5 RGB LED Matrix.
 5x5 RGB LED Matrix has 25 RGB LEDs in a square,
 it's ideal for showing notifications, patterns, or anything else!
 .
 This is the Python 3 version of the package.
